// WinOSI.h : main header file for the WINOSI application
//


#define Pi_2    1.5707963f

#define fTwoPi  6.2831853f
#define fPi     3.1415927f
#define fPi_2   1.5707963f

class RGB_Dbl
{
  public:
    double R,G,B;
    RGB_Dbl(){}
    RGB_Dbl(double red, double green, double blue) { R=red; G=green; B=blue; }
    void       operator += (const RGB_Color & c)
      { R+=(double)c.R; G+=(double)c.G; B+=(double)c.B; }
};

typedef struct HitPoint *HtPPtr;


struct HitPoint {
  HtPPtr  next;
  RV_PrP  obj;
  vector  pos;
  vector  N;
  RGB_Color   val;
  short   side;
};


extern int       HitBuffers;
extern int       DiffDepth;
extern int       SpecLightDepth;
extern int       SpecViewDepth;
extern int       Renderer,XRes,YRes;

extern float     pixelsize,PixelRadius,RNDPIXELSIZE;
extern float     wavlen;

extern float     RelExp;
extern double    Gamma;


